cURL
curl --request PATCH \ --url https://api.example.com/api/v1/school/class-teacher-comments/{id}/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "is_deleted": true, "min_mark": 50, "max_mark": 50, "comment": "<string>", "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "class_teacher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } '
{ "min_mark": 50, "max_mark": 50, "class_teacher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "is_deleted": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "comment": "<string>", "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
Manage class teacher comments on reports.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
A UUID string identifying this class teacher comment.
Auto-populate created_by from request.user when available.
0 <= x <= 100